<template>
    <!-- 弹出框表单 -->
    <el-drawer
            :title="title"
            :visible.sync="open"
            :direction="direction"
            :destroy-on-close="true"
            size="50%">
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                <Field label="分类名称" prop="name" v-model="form.name" placeholder="请输入分类名称"/>

            </el-row>

            <form-buttons @submit='submitForm' v-if="pageInfo.type!='view'" noCancelBtn />
        </el-form>

    </el-drawer>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    export default {
        name: "CategoryDetail",
        mixins: [form],
        components: {

        },
        created() {
            this.changePath("category")
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "分类",
                // 是否显示弹出层
                open: false,
                direction:"rtl",
                toString:[
                ],
                toDate:[
                ],
                // 表单校验
                rules: {
                    name:[
                        { required: true, message: "请输入分类名称", trigger: "blur" },
                    ]
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="category/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改分类";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "category/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增分类";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="category/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "分类详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    name : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
